# @lavadrop/omit

[![npm license](http://img.shields.io/npm/l/@lavadrop/omit.svg)](https://www.npmjs.org/package/@lavadrop/omit)
[![Travis Build Status](https://img.shields.io/travis/jedmao/lavadrop.svg)](https://travis-ci.org/jedmao/lavadrop)
[![codecov](https://codecov.io/gh/jedmao/lavadrop/branch/master/graph/badge.svg)](https://codecov.io/gh/jedmao/lavadrop)
[![Try @lavadrop/omit on RunKit](https://badge.runkitcdn.com/@lavadrop/omit.svg)](https://npm.runkit.com/@lavadrop/omit)

Part of a [library](../../../../) of zero-dependency npm modules that do just
one thing.

- 100% [TypeScript](http://www.typescriptlang.org/) support.
- It's not a party without [`Lavadrop`](../../../../)!

[![npm](https://nodei.co/npm/@lavadrop/omit.svg?downloads=true)](https://nodei.co/npm/@lavadrop/omit/)

min + gzip | 114 bytes

[source](https://github.com/jedmao/lavadrop/blob/master/src/packages/omit/omit.ts)

The opposite of [pick](/pick); this method creates an object composed of the
object's own properties that are not in the list of omitted keys.

## Usage

```ts
import omit from '@lavadrop/omit'

const obj = { a: 1, b: 2, c: 3 }
omit(obj, 'a', 'c')
// => { b: 2 }
```

## Parameters

| Name     | Type          | Description              |
| :------- | :------------ | :----------------------- |
| `object` | `T`           | The source object.       |
| `keys`   | `[K, ...K[]]` | The object keys to omit. |

### Type parameters

| Name | Constraint |
| :--- | :--------- |
| `T`  | `object`   |
| `K`  | `keyof T`  |

## Returns

A new object with specified keys omitted.

### Return type

```ts
Omit<T, K>
```
